2

I want to learn Linux Kernel and I've downloaded the latest kernel version. Now I want to configure Linux with make menuconfig and I'm receiving an error:

Arch/x86/Makefile:184 Compiler lacks asm-goto support...

Can somebody help me?

1
  • 2
    Tell us about your development machine?
    – jc__
    Jul 17, 2018 at 13:50

2 Answers 2

3

Your trouble is relative to this patch [x86: Force asm-goto].

You need to install a gcc version >= 4.5

0
0

Another reason is because the cache of Makefile was dirty.

You can try my solution here: https://stackoverflow.com/a/52757221/2703937

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.